net.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <inttypes.h>`
`#include <errno.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <sys/ioctl.h>`
`#include <sys/socket.h>`
`#include <linux/if.h>`
`#include <linux/sockios.h>`
`#include <linux/ethtool.h>`
`#include <linux/if_arp.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "net.h"`

## Macros

#define | u8 uint8_t
#define | u16 uint16_t
#define | u32 uint32_t
#define | u64 uint64_t

## Functions

static void | get_ethtool_priv (hd_data_t *hd_data, hd_t *hd)
static void | get_driverinfo (hd_data_t *hd_data, hd_t *hd)
static void | get_linkstate (hd_data_t *hd_data, hd_t *hd)
static hd_res_t * | get_phwaddr (hd_data_t *hd_data, hd_t *hd)
static void | add_xpnet (hd_data_t *hdata)
static void | add_uml (hd_data_t *hdata)
static void | add_kma (hd_data_t *hdata)
static void | add_if_name (hd_t *hd_card, hd_t *hd)
void | hd_scan_net (hd_data_t *hd_data)

## Macro Definition Documentation

## u16

#define u16 uint16_t

## u32

#define u32 uint32_t

## u64

#define u64 uint64_t

## u8

#define u8 uint8_t